import { jsx } from "react/jsx-runtime";
import { TokenTULIP as TokenTULIP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTULIP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "TULIP", "data-name": "TokenTULIP", ...props, children: /* @__PURE__ */ jsx(TokenTULIP$1, { variant }) });
  }
);
TokenTULIP.displayName = "TokenTULIP";
Object.assign(TokenTULIP, { isGdsIcon: true });
export {
  TokenTULIP
};
